import { inject, Injectable } from '@angular/core';
import { MatSnackBar } from '@angular/material/snack-bar';

@Injectable({
  providedIn: 'root',
})
export class ErrorHandlerService {
  private readonly snackBar: MatSnackBar = inject(MatSnackBar);

  public showErrorMessage(message: string): void {
    this.snackBar.open(message, 'Close', {
      duration: 5000,
      horizontalPosition: 'end',
      verticalPosition: 'bottom',
      panelClass: ['!bg-red-50', '!text-red-900', '!border', '!border-red-100'],
    });
  }
}
